[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# TMethodList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lclproc.pas line 42

`type TMethodList = class`
`public`
`destructor Destroy; override;` |  |
`function Count;` |  |
`function NextDownIndex();` |  |
`function IndexOf();` |  |
`procedure Delete();` |  |
`procedure Remove();` |  |
`procedure Add();` |  |
`procedure Insert();` |  |
`procedure Move();` |  |
`procedure RemoveAllMethodsOfObject();` |  |
`procedure CallNotifyEvents();`
`property Items: TMethod; default; [rw]` |  |
`end;`

## Inheritance

`TMethodList` |  |
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.